--- samba.SlackBuild.s390x	2009-06-25 22:23:30.000000000 -0400
+++ samba.SlackBuild.s390x	2009-07-05 14:05:47.000000000 -0400
@@ -26,7 +26,7 @@
   SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
 elif [ "$ARCH" = "i486" ]; then
   SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "s390" ]; then
+elif [ "$ARCH" = "s390x" ]; then
   SLKCFLAGS="-O2"
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2"
@@ -60,6 +60,9 @@
   --with-ldap \
   --build=$ARCH-slackware-linux
 
+# I don't know why you can't get this to work with configure options, but...
+cat $CWD/lib64.patch.diff | patch -p2 --backup --suffix=.orig || exit 1
+
 # -j options don't seem to work...
 make || exit 1
 
@@ -75,10 +78,10 @@
 make install DESTDIR=$PKG || exit 1
 
 # Install libnss_win* libraries:
-mkdir -p $PKG/lib
-cp -a nsswitch/libnss_winbind.so $PKG/lib/libnss_winbind.so.2
-cp -a nsswitch/libnss_wins.so $PKG/lib/libnss_wins.so.2
-( cd $PKG/lib
+mkdir -p $PKG/lib64
+cp -a nsswitch/libnss_winbind.so $PKG/lib64/libnss_winbind.so.2
+cp -a nsswitch/libnss_wins.so $PKG/lib64/libnss_wins.so.2
+( cd $PKG/lib64
   ln -sf libnss_winbind.so.2 libnss_winbind.so
   ln -sf libnss_wins.so.2 libnss_wins.so
 )
@@ -95,7 +98,7 @@
 
 # Make sure libsmbclient gets installed:
 mkdir -p $PKG/usr/lib/samba
-( cd $PKG/usr/lib/samba
+( cd $PKG/usr/lib64/samba
   rm -f libsmbclient.a
   mv libsmbclient.so ../libsmbclient.so.0.0
   ln -sf ../libsmbclient.so.0.0 libsmbclient.so
